Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(43)

Issue 2564543003: Script for parsing of verbose linker output (Closed)

Created:
2 years, 5 months ago by brucedawson
Modified:
2 years, 5 months ago
Reviewers:
stanisc
CC:
chromium-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Script for parsing of verbose linker output When trying to understand why particular symbols are pulled in to a binary it can be helpful to examine the verbose linker output. However it quickly becomes unwieldy. This parses it and allows querying of it to explain why a particular object file is pulled in. This was used in the investigation of the linked bug, and others. BUG=630755 Committed: https://crrev.com/de77b2055e40cab9321479335ffd3b8416c3e34c Cr-Commit-Position: refs/heads/master@{#437730}

Patch Set 1 #

Patch Set 2 : Comment fixes #

Total comments: 6

Patch Set 3 : Code review tweaks and improvements #

Unified diffs Side-by-side diffs Delta from patch set Stats (+151 lines, -0 lines) Patch
A tools/win/linker_verbose_tracking.py View 1 2 1 chunk +151 lines, -0 lines 0 comments Download

Messages

Total messages: 12 (6 generated)
brucedawson
PTAL - this is the first of three related scripts to aid in linker investigations.
2 years, 5 months ago (2016-12-09 01:22:41 UTC) #2
stanisc
LGTM (although my Python knowledge if fairly limited). https://codereview.chromium.org/2564543003/diff/20001/tools/win/linker_verbose_tracking.py File tools/win/linker_verbose_tracking.py (right): https://codereview.chromium.org/2564543003/diff/20001/tools/win/linker_verbose_tracking.py#newcode55 tools/win/linker_verbose_tracking.py:55: obj_match ...
2 years, 5 months ago (2016-12-10 00:13:11 UTC) #3
brucedawson
Good review. You found a bug and a design flaw. Both are fixed now. https://codereview.chromium.org/2564543003/diff/20001/tools/win/linker_verbose_tracking.py ...
2 years, 5 months ago (2016-12-10 00:59:57 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2564543003/40001
2 years, 5 months ago (2016-12-10 01:23:12 UTC) #7
commit-bot: I haz the power
Committed patchset #3 (id:40001)
2 years, 5 months ago (2016-12-10 02:36:57 UTC) #10
commit-bot: I haz the power
2 years, 5 months ago (2016-12-12 15:05:38 UTC) #12
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/de77b2055e40cab9321479335ffd3b8416c3e34c
Cr-Commit-Position: refs/heads/master@{#437730}

Powered by Google App Engine
This is Rietveld 408576698